# GAMESS-UK HF optimisation

from chemsh       import *
from chemsh.utils import testutils

water = Fragment(coords="water.cjson")

gamess = GAMESS_UK(frag=water, method="hf", basis="3-21g")

opt = Opt(theory=gamess,
          algorithm="lbfgs", tolerance=0.0003, trust_radius="energy",
          maxcycle=100, maxene=100, maxstep=1.0).run()

ecalc = opt.result.energy

# Test result
eref = -75.58595976

testutils.validate(ecalc, eref)
